<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
version="2.4">

<servlet>
  <servlet-name>Schedule</servlet-name>
  <servlet-class>com.example.web.ScheduleSelect</servlet-class>
</servlet>
<servlet-mapping>
  <servlet-name>Schedule</servlet-name>
  <url-pattern>/Lookup.do</url-pattern>
</servlet-mapping>

<servlet>
  <servlet-name>Time</servlet-name>
  <servlet-class>com.example.web.SelectTime</servlet-class>
</servlet>
<servlet-mapping>
  <servlet-name>Time</servlet-name>
  <url-pattern>/Time.do</url-pattern>
</servlet-mapping>

<servlet>
  <servlet-name>GetFreeTimes</servlet-name>
  <servlet-class>com.example.web.FreeTimeSelect</servlet-class>
</servlet>
<servlet-mapping>
  <servlet-name>GetFreeTimes</servlet-name>
  <url-pattern>/GetFreeTime.do</url-pattern>
</servlet-mapping>

<servlet>
  <servlet-name>Menu</servlet-name>
  <servlet-class>com.example.web.MenuPage</servlet-class>
</servlet>
<servlet-mapping>
  <servlet-name>Menu</servlet-name>
  <url-pattern>/GetMenu.do</url-pattern>
</servlet-mapping>

<servlet>
  <servlet-name>GetFreeTimesResult</servlet-name>
  <servlet-class>com.example.web.FreeTimeResult</servlet-class>
</servlet>
<servlet-mapping>
  <servlet-name>GetFreeTimesResult</servlet-name>
  <url-pattern>/GetFreeTimeResult.do</url-pattern>
</servlet-mapping>

<servlet>
  <servlet-name>AccountCreation</servlet-name>
  <servlet-class>com.example.web.CreateAccount</servlet-class>
</servlet>
<servlet-mapping>
  <servlet-name>AccountCreation</servlet-name>
  <url-pattern>/CreateAccount.do</url-pattern>
</servlet-mapping>

<servlet>
   <servlet-name>LoginValidation</servlet-name>
   <servlet-class>com.example.web.LoginValidate</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>LoginValidation</servlet-name>
   <url-pattern>/Login.do</url-pattern>
</servlet-mapping>

<servlet>
   <servlet-name>AddSchedule</servlet-name>
   <servlet-class>com.example.web.AddTime</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>AddSchedule</servlet-name>
   <url-pattern>/AddTime.do</url-pattern>
</servlet-mapping>

<servlet>
   <servlet-name>EditSchedule</servlet-name>
   <servlet-class>com.example.web.DeleteTime</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>EditSchedule</servlet-name>
   <url-pattern>/DeleteTime.do</url-pattern>
</servlet-mapping>

<servlet>
   <servlet-name>ChangeSchedule</servlet-name>
   <servlet-class>com.example.web.ChangeSched</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>ChangeSchedule</servlet-name>
   <url-pattern>/ChangeSched.do</url-pattern>
</servlet-mapping>

<servlet>
   <servlet-name>VerifyAccount</servlet-name>
   <servlet-class>com.example.web.Verify</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>VerifyAccount</servlet-name>
   <url-pattern>/Verify.do</url-pattern>
</servlet-mapping>

<servlet>
   <servlet-name>Delete</servlet-name>
   <servlet-class>com.example.web.DeleteTime</servlet-class>
</servlet>
<servlet-mapping>
   <servlet-name>Delete</servlet-name>
   <url-pattern>/DeleteTime.do</url-pattern>
</servlet-mapping>

<context-param>
  <param-name>user</param-name>
  <param-value>parise</param-value>
</context-param>
<context-param>
  <param-name>passwd</param-name>
  <param-value>s157cl</param-value>
</context-param>
<context-param>
  <param-name>url</param-name>
  <param-value>jdbc:mysql://jaguar.cis.udel.edu:8099/parise</param-value>
</context-param>

</web-app>
